{{ define "main" }}
  {{$tag_main := .Params.list_tag}}
  {{$past_title := .Params.past_title}}
  {{$active_title := .Params.active_title}}
<body data-spy="scroll" data-target="#toc"></body>
  <div class="container" role="main">
    {{ with .Content }}
    <div class="row">
      <div class="col-lg-12">
      {{$tmp := index (split . "<!--x") 0}}
      {{$tmp | safeHTML}}
      </div>
    </div>
    {{ end }}
    
    <div class="row">
      <div class="col-lg-12">
        {{if $active_title}}
        <h1 class="">{{$active_title}}</h1>
        {{end}}
        <div class="posts-list">
          {{ range (site.Pages.ByDate.Reverse.RelatedTo ( keyVals "tags" $tag_main)) }}
            {{ if or (ge .Params.end now.Year) (not (isset .Params "end")) (not .Params.end) }}
              {{ if or (eq .Params.active true) (not (isset .Params "active"))  }}
                  {{ partial "post_preview.html" .}}
              {{end}}
            {{end}}
          {{ end }}
        </div>
      </div>
    </div>

    
    <div class="row">
      <div class="col-lg-12">
        <details> 
          <summary style="font-size:2em"><h1 class="text-center">{{$past_title}}</h1></summary>
        <div class="posts-list">
          {{ range (site.Pages.ByDate.Reverse.RelatedTo ( keyVals "tags" $tag_main)) }}
            {{ if or (and (le .Params.end now.Year) (.Params.end)) (and (eq .Params.active false) (isset .Params "active")) }}
                {{ partial "post_preview.html" .}}
            {{end}}
          {{ end }}
        </div>
      </details>
      </div>
    </div>
  {{ with .Content }}
  <div class="row">
    <div class="col-lg-12">
    {{$tmp := index (split . "x-->") 1}}
    {{$tmp | safeHTML}}
  </div>
</div>
{{ end }}
</div>
{{ end }}

